Skip to main content
PATCH
Updates the active sales channels for a set of items.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Body

application/json

Request parameters

Updates the active sales channels for a set of items. - Request

itemKeys
string<uuid>[]

The items to update.

activateSalesChannels
string<uuid>[]

The sales channels to activate for the item set.

deactivateSalesChannels
string<uuid>[]

The sales channels to deactivate for the item set.

applyToChildItems
boolean

Should sales channel update be applied to child items.

Response

Item sales channels were successfully updated.